--- tools/assistant/tools/assistant/assistant.pro.orig	2011-01-10 09:05:05.000000000 -0500
+++ tools/assistant/tools/assistant/assistant.pro	2011-01-10 09:05:55.000000000 -0500
@@ -108,3 +108,30 @@
         DEFINES += USE_STATIC_SQLITE_PLUGIN
     }
 }
+
+qclucene = QtCLucene$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qclucene = $${qclucene}_debug
+    win32:qclucene = $${qclucene}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qclucene
+LIBS_PRIVATE += -l$$qclucene
+
+qcnetwork = QtNetwork$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcnetwork = $${qcnetwork}_debug
+    win32:qcnetwork = $${qcnetwork}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcnetwork
+LIBS_PRIVATE += -l$$qcnetwork
+
+qcwebkit = QtWebKit$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcwebkit = $${qcwebkit}_debug
+    win32:qcwebkit = $${qcwebkit}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcwebkit
+LIBS_PRIVATE += -l$$qcwebkit
+
+
+
--- tools/assistant/tools/qcollectiongenerator/qcollectiongenerator.pro.orig	2011-01-10 09:05:05.000000000 -0500
+++ tools/assistant/tools/qcollectiongenerator/qcollectiongenerator.pro	2011-01-10 09:05:55.000000000 -0500
@@ -15,3 +15,27 @@
     ../shared/collectionconfiguration.cpp
 HEADERS += ../shared/helpgenerator.h \
     ../shared/collectionconfiguration.h
+
+qclucene = QtCLucene$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qclucene = $${qclucene}_debug
+    win32:qclucene = $${qclucene}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qclucene
+LIBS_PRIVATE += -l$$qclucene
+
+qcnetwork = QtNetwork$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) {
+    mac:qcnetwork = $${qcnetwork}_debug
+    win32:qcnetwork = $${qcnetwork}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcnetwork
+LIBS_PRIVATE += -l$$qcnetwork
+
+qcwebkit = QtWebKit$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcwebkit = $${qcwebkit}_debug
+    win32:qcwebkit = $${qcwebkit}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcwebkit
+LIBS_PRIVATE += -l$$qcwebkit
--- tools/assistant/tools/qhelpconverter/qhelpconverter.pro.orig	2011-01-10 09:05:05.000000000 -0500
+++ tools/assistant/tools/qhelpconverter/qhelpconverter.pro	2011-01-10 09:05:55.000000000 -0500
@@ -45,3 +45,27 @@
            outputpage.ui
 
 RESOURCES += qhelpconverter.qrc
+
+qclucene = QtCLucene$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qclucene = $${qclucene}_debug
+    win32:qclucene = $${qclucene}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qclucene
+LIBS_PRIVATE += -l$$qclucene
+
+qcnetwork = QtNetwork$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) {
+    mac:qcnetwork = $${qcnetwork}_debug
+    win32:qcnetwork = $${qcnetwork}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcnetwork
+LIBS_PRIVATE += -l$$qcnetwork
+
+qcwebkit = QtWebKit$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcwebkit = $${qcwebkit}_debug
+    win32:qcwebkit = $${qcwebkit}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcwebkit
+LIBS_PRIVATE += -l$$qcwebkit
--- tools/assistant/tools/qhelpgenerator/qhelpgenerator.pro.orig	2011-01-10 09:05:05.000000000 -0500
+++ tools/assistant/tools/qhelpgenerator/qhelpgenerator.pro	2011-01-10 09:05:55.000000000 -0500
@@ -12,3 +12,27 @@
            main.cpp
 
 HEADERS += ../shared/helpgenerator.h
+
+qclucene = QtCLucene$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qclucene = $${qclucene}_debug
+    win32:qclucene = $${qclucene}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qclucene
+LIBS_PRIVATE += -l$$qclucene
+
+qcnetwork = QtNetwork$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) {
+    mac:qcnetwork = $${qcnetwork}_debug
+    win32:qcnetwork = $${qcnetwork}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcnetwork
+LIBS_PRIVATE += -l$$qcnetwork
+
+qcwebkit = QtWebKit$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcwebkit = $${qcwebkit}_debug
+    win32:qcwebkit = $${qcwebkit}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcwebkit
+LIBS_PRIVATE += -l$$qcwebkit
--- tools/designer/src/plugins/qwebview/qwebview.pro.orig	2011-01-10 09:05:05.000000000 -0500
+++ tools/designer/src/plugins/qwebview/qwebview.pro	2011-01-10 09:05:55.000000000 -0500
@@ -13,3 +13,19 @@
 SOURCES += qwebview_plugin.cpp
 HEADERS += qwebview_plugin.h
 RESOURCES += qwebview_plugin.qrc
+
+qcnetwork = QtNetwork$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcnetwork = $${qcnetwork}_debug
+    win32:qcnetwork = $${qcnetwork}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcnetwork
+LIBS_PRIVATE += -l$$qcnetwork
+
+qcwebkit = QtWebKit$${QT_LIBINFIX}
+if(!debug_and_release|build_pass):CONFIG(debug, debug|release) { 
+    mac:qcwebkit = $${qcwebkit}_debug
+    win32:qcwebkit = $${qcwebkit}d
+}
+linux-lsb-g++:LIBS_PRIVATE += --lsb-shared-libs=$$qcwebkit
+LIBS_PRIVATE += -l$$qcwebkit